from peewee import *
from models import db


class WalletAddressOkx(Model):
    id = AutoField()  # 使用 AutoField 对应于 AUTO_INCREMENT
    v4r2_address = CharField(max_length=255, null=True)  # 对应 varchar(255)
    v5r1_address = CharField(max_length=255, null=True)  # 对应 varchar(255)
    words = CharField(max_length=255, null=True)  # 对应 varchar(255)
    tg_id = IntegerField(default=0)  # 对应 int NOT NULL DEFAULT '0'
    server_ip = CharField(max_length=255, null=True)  # 对应 varchar(255)
    ld_name = CharField(max_length=255, null=True)  # 对应 varchar(255)
    stast = IntegerField(null=True)  # 对应 int
    project_name = CharField(max_length=255, null=True)  # 对应 varchar(255)
    logged_in_wallet_time = CharField(max_length=255, null=True)  # 对应 varchar(255)
    logged_in_wallet_set = CharField(max_length=255, null=True)  # 对应 varchar(255)
    ti_stast = CharField(max_length=255, null=True)  # 对应 varchar(255)
    survival = CharField(max_length=255, null=True)  # 对应 varchar(255)
    balance = CharField(max_length=255, null=True)  # 对应 varchar(255)

    class Meta:
        database = db
        table_name = 'wallet_address_okx'
